package com.memorynotfound.netflix.hystrix.test;

import com.memorynotfound.netflix.hystrix.GreetingCommand;
import org.junit.Test;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

public class GreetingCommandTest {

    @Test
    public void testGreeting() throws Exception {
        assertEquals("Hello World!", new GreetingCommand("World").execute());
        GreetingCommand command = new GreetingCommand("John");
        assertEquals("Hello John!", command.execute());
        assertFalse(command.isResponseFromFallback());
    }

    @Test
    public void testGreetingFallBack() throws Exception {
        GreetingCommand command = new GreetingCommand(null);
        assertEquals("Hello Guest!", command.execute());
        assertTrue(command.isResponseFromFallback());
    }
}
